开发者社区> 问答> 正文

MyEclipse 和Eclipse 哪个版本支持Jdk7?

我在Cmd下面运行javac 对switch判断字符串可以通过编译。

为什么在Eclipse 和MyEclipse下面无法通过编译

展开
收起
爵霸 2016-06-13 13:23:02 3068 0
1 条回答
写回答
取消 提交回答
  • 用Eclipse或MyEclipse是要设置编译器的,如果没提供设置JDK7作为编译器,你肯定就无法编译。

    Eclipse4.2设置编译器为1.7之后,就可以编译了。

    2019-07-17 19:35:41
    赞同 展开评论 打赏
问答分类:
问答地址:
相关产品:
问答排行榜
最热
最新

相关课程

更多

相关电子书

更多
低代码开发师(初级)实战教程 立即下载
冬季实战营第三期:MySQL数据库进阶实战 立即下载
阿里巴巴DevOps 最佳实践手册 立即下载

相关镜像